aboutsummaryrefslogtreecommitdiffstats
path: root/compose/production/django/start
diff options
context:
space:
mode:
authorMatthew Lemon <y@yulqen.org>2024-05-13 17:26:25 +0100
committerMatthew Lemon <y@yulqen.org>2024-05-13 17:26:25 +0100
commitefbbd480ddc62e695123d31c31d233b0df5155bd (patch)
treebc2fb465edd5050d83c97f280b1aac8e023fe3e5 /compose/production/django/start
After first pre-commit processing
Diffstat (limited to 'compose/production/django/start')
-rw-r--r--compose/production/django/start10
1 files changed, 10 insertions, 0 deletions
diff --git a/compose/production/django/start b/compose/production/django/start
new file mode 100644
index 0000000..97216fa
--- /dev/null
+++ b/compose/production/django/start
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+set -o errexit
+set -o pipefail
+set -o nounset
+
+
+python /app/manage.py collectstatic --noinput
+
+exec /usr/local/bin/gunicorn config.wsgi --bind 0.0.0.0:5000 --chdir=/app